As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 415168 - Disable <a ping> for Firefox 3
: Disable <a ping> for Firefox 3
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal with 2 votes (vote)
: mozilla1.9beta3
Assigned To: Jonas Sicking (:sicking) No longer reading bugmail consistently
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-31 15:26 PST by Jonas Sicking (:sicking) No longer reading bugmail consistently
Modified: 2013-12-18 16:26 PST (History)
20 users (show)
jonas: blocking1.9+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Turn it off (1.30 KB, patch)
2008-01-31 15:26 PST, Jonas Sicking (:sicking) No longer reading bugmail consistently
vladimir: review+
vladimir: superreview+
mbeltzner: approval1.9b3+
Details | Diff | Splinter Review

Description User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2008-01-31 15:26:36 PST
Created attachment 300754 [details] [diff] [review]
Turn it off

The spec has changed under us so we're now at a state of no UI, no good proposal for a UI, and no compliant implementation. Let's just disable it and see if we can get a good implementation for next firefox instead.

(note that this change is firefox specific. It's already disabled by default for all other gecko apps, and they will still be able to enable it if they so wish)
Comment 1 User image Vladimir Vukicevic [:vlad] [:vladv] 2008-02-01 12:30:53 PST
Comment on attachment 300754 [details] [diff] [review]
Turn it off

Jonas was supposed to ask beltzner for r/a+, setting approval request here.
Comment 2 User image Mike Beltzner [:beltzner, not reading bugmail] 2008-02-01 13:19:54 PST
Comment on attachment 300754 [details] [diff] [review]
Turn it off

a=beltzner, alas!
Comment 3 User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2008-02-01 14:41:40 PST
Checked in
Comment 4 User image Reed Loden [:reed] (use needinfo?) 2008-02-01 15:45:05 PST
This caused the unit test from bug 375314 to fail. sicking said to just remove <a ping> testing from the test, so I did so. If this ever comes back, the test for <a ping> needs to be re-added.

http://bonsai.mozilla.org/cvsview2.cgi?diff_mode=context&whitespace_mode=show&subdir=mozilla/content/base/test&command=DIFF_FRAMESET&file=test_bug375314.html&rev1=1.1&rev2=1.2&root=/cvsroot
Comment 5 User image Peter Gasston 2013-10-04 02:45:45 PDT
Google have recently begun using ping to speed up mobile search results: https://plus.google.com/+IlyaGrigorik/posts/fPJNzUf76Nx
Comment 6 User image Randell Jesup [:jesup] 2013-12-16 22:27:33 PST
And also pushing this as a wished-for performance improvement generally, not just on mobile, though it's a win there:
http://calendar.perfplanet.com/2013/browser-wishlist-2013/

I'd assume the argument is that any <a ping= href=...></a> would be replaced by the website that wants to track people following the link with a redirect, and thus there's no true privacy difference here.  If anything, ping support is a privacy win (even with no UI) in that if sites start using ping, then the user *can* stop sending them (and a bigger win as ping use spreads and if UI is added).  If ping isn't supported and the sites use redirects, the user has no option.
Comment 7 User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2013-12-16 23:46:17 PST
Me and Doug recently worked with Microsoft and Google to specify a "beacon" spec which should be a more general, easier to implement and less controversial feature.

Spec is here: https://dvcs.w3.org/hg/webperf/raw-file/tip/specs/Beacon/Overview.html

I think Doug is working on implementing, but I don't know if he has a bug yet.
Comment 8 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2013-12-17 04:45:39 PST
bug 936340
Comment 9 User image Brad Lassey [:blassey] (use needinfo?) 2013-12-17 08:49:22 PST
(In reply to Randell Jesup [:jesup] from comment #6)
> And also pushing this as a wished-for performance improvement generally, not
> just on mobile, though it's a win there:
> http://calendar.perfplanet.com/2013/browser-wishlist-2013/
> 
> I'd assume the argument is that any <a ping= href=...></a> would be replaced
> by the website that wants to track people following the link with a
> redirect, and thus there's no true privacy difference here.  If anything,
> ping support is a privacy win (even with no UI) in that if sites start using
> ping, then the user *can* stop sending them (and a bigger win as ping use
> spreads and if UI is added).  If ping isn't supported and the sites use
> redirects, the user has no option.

I generally agree that at worst this is a wash privacy-wise.

Doug, care to expand on what Jonas said?
Comment 10 User image Doug Turner (:dougt) 2013-12-17 10:22:40 PST
yeah, we're working on it.
Comment 11 User image Brad Lassey [:blassey] (use needinfo?) 2013-12-17 11:15:40 PST
(In reply to Doug Turner (:dougt) from comment #10)
> yeah, we're working on it.

was more looking for a bug number where this is being discussed
Comment 12 User image Doug Turner (:dougt) 2013-12-17 12:08:15 PST
comment #8.

Note You need to log in before you can comment on or make changes to this bug.